Protected proxy for Codex CLI ChatGPT-login traffic
Proxy Codex CLI requests through PasteGuard with masking on Responses calls.
/codex/*
POST /codex/responses receives PII and secrets protection and appears in the dashboard. Supporting endpoints such as /codex/models are proxied directly.
In route mode, clean Codex Responses requests are forwarded to Codex. Requests containing PII or secrets configured with route_local are blocked because PasteGuard does not convert Codex Responses traffic to a local provider format.
PasteGuard forwards the Codex CLI authorization header. This is different from /openai/v1, which is for OpenAI API-key traffic against https://api.openai.com/v1.
Assistant
Responses are generated using AI and may contain mistakes.